Overview

The RealMedia Encoding Template wizard guides you through the selection or creation of a RealMedia encoding template.

Selecting or creating a RealMedia encoding template consists of seven steps:

  1. Specifying a name and description for the template [image] .

  2. Specifying a file type and type of target rate for the stream [image] .

  3. Selecting a connection type and playback settings [image] .

  4. Specifying audio settings [image] .

  5. Selecting audio resampling parameters [image] .

  6. Specifying video settings [image] .

  7. Selecting a video size [image] .


File Type and Type of Target Rate

File Type

Click a radio button to select the versions of the RealMedia player with which your streaming media should be compatible.

If you select RealMedia 5 compatibility or RealMedia 3 compatibility, SureStream™ is automatically selected in the Type of Target Rate box. When backward compatibility is enabled, Stream Anywhere creates a separate stream for each version of the RealMedia player.

Type of Target Rate

If you select RealMedia G2 in the File Type box, click a radio button to specify a target rate:

  • SureStream™ creates a single file encoded for multiple target audiences. A SureStream file can switch to a lower bandwidth to compensate for network congestion and allow playback on older versions of the RealMedia player.

SureStream files must be broadcast from a RealNetworks RealServer G2.

  • Single Rate creates a file that is encoded for a single bandwidth.

SureStream™ - Emphasize Audio/Video

If you select SureStream, specify whether the encoded file should emphasize audio or video content:

  • Emphasize audio means that video quality is degraded before audio quality if the RealPlayer‘s connection switches to a lower bandwidth.

  • Emphasize video means that audio quality is degraded before video quality if the RealPlayer‘s connection switches to a lower bandwidth.


Connection Type and Playback Settings

Connection Type

In the Connection Type box, select the type of connection your target audience will use to connect to the Internet.

If you selected Single Rate in the Type of Target Rate box, choose a connection type that applies to the average user in your target audience. For example, if you encode a stream for a 56 Kbps modem connection, users with 28.8 Kbps modems will have difficulty playing the stream.

If you selected SureStream, click the check box for each bit rate you want Stream Anywhere to encode.

Playback Settings

Specify playback settings for your streaming media:

a. Enable PerfectPlay When this option is enabled, users connected with standard modems can select to download a higher-quality version of the audio that is normally only available over ISDN or LAN connections. The higher-bandwidth RealAudio stream is then played back from the user's hard disk after the download process is complete. The RealAudio Player Plus from Real Networks supports PerfectPlay capabilities.

b. Allow Mobile Play When this option is enabled, users can play your media file on mobile audio players. This option is only applicable for files with audio content.

c. Allow Recording When checked, RealAudio-compatible players can allow users to save (record) RealAudio streams. Use this option only if it is acceptable for users to create copies of the RealAudio file.


Audio Settings

Select the Use Audio check box if your media file includes audio content, and click the radio button that best describes the type of audio in your file.


Audio Resampling

Resample prior to encode

When this check box is selected, the audio component of your media file will be resampled using Sonic Foundry’s algorithms. Resample before encoding if your source material uses nonstandard sample rates or if you want to use a specific sample rate in your encoded audio.

Resample rate

Click the down arrow to the right of the Resample rate drop-down list and select a new sampling rate.

High sampling rates produce high-quality audio, but can result in stuttering audio with low-speed Internet connections. When the check box is cleared, codecs resample audio using default resampling algorithms.


Video Settings

Select the Use Video check box if your media file includes video content, and click the radio button that best describes the type of motion in your file:

  • Normal Motion Video encodes video with the settings in the original file.

  • Smoothest Motion Video emphasizes motion, but sacrifices image clarity.

  • Sharpest Image Video emphasizes image clarity, but sacrifices smooth motion.

  • Slide Show presents video as a series of still frames to maximize image clarity.


Video Size

Click a radio button to determine the height and width of the streaming media content when it is viewed, or click Custom to enter your own settings.

Standard image sizes are provided because their dimensions conform to standards supported by many codecs and video-editing tools. Smaller image sizes allow for more bandwidth to be used for video frames, and can improve content quality.

When resizing image size with the Custom setting, be aware that many codecs require height and width settings that are multiples of 16.


Overview

The RealMedia Encoding Template wizard guides you through the selection of a RealMedia encoding template.

Creating a RealMedia encoding template consists of seven steps:

  1. Specifying a name and description for the template [image] .

  2. Specifying a file type and type of target rate for the stream [image] .

  3. Selecting a connection type and playback settings [image] .

  4. Specifying audio settings [image] .

  5. Selecting audio resampling parameters [image] .

  6. Specifying video settings [image] .

  7. Selecting a video size [image] .


Template Name and Description

Enter or edit the template name and description, and click Next.

This should be a short name that can be used to select the template from a list, and the description can indicate the intended use of the template.